TImageCombinerFilter< Image > Class Template Reference

`#include <mia/template/combiner_filter.hh>`

Inheritance diagram for TImageCombinerFilter< Image >:
[legend]
Collaboration diagram for TImageCombinerFilter< Image >:
[legend]

## Public Member Functions

Image::Pointer | do_filter (const Image &image) const
| TImageCombinerFilter (std::shared_ptr< TImageCombiner< Image > > combiner, const std::string &other_image_file, bool reverse)
Public Member Functions inherited from TDataFilter< Image >
result_type | filter (const Image &image) const
std::set< EPixelType > | test_pixeltype_conversion (const std::set< EPixelType > &in_types) const
virtual | ~TDataFilter ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Data Fields

std::shared_ptr< TImageCombiner< Image > > | m_combiner
std::string | m_other_image
bool | m_reverse

## Additional Inherited Members

Public Types inherited from TDataFilter< Image >
typedef Image | Image
| defines the image type handled by the image filter
typedef Image | plugin_data
| plugin handler helper type
typedef filter_type | plugin_type
| plugin handler helper type
typedef std::shared_ptr< TDataFilter< Image > > | Pointer
| pointer type of the data filtered by this filter
typedef TFilter< std::shared_ptr< Image > >::result_type | result_type
| result type of this filter
Public Types inherited from TFilter< std::shared_ptr< Image > >
typedef std::shared_ptr< Image > | result_type
| defines the return type of the filter function
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Detailed Description

template<typename Image>
class TImageCombinerFilter< Image >

Definition at line 33 of file combiner_filter.hh.

## Constructor & Destructor Documentation

## TImageCombinerFilter()

template<typename Image>

TImageCombinerFilter< Image >::TImageCombinerFilter | ( | std::shared_ptr< TImageCombiner< Image > > | combiner,
|  | const std::string & | other_image_file,
|  | bool | reverse )

Definition at line 63 of file combiner_filter.hh.

References m_combiner, m_other_image, and m_reverse.

## Member Function Documentation

## do_filter()

template<typename Image>

Image::Pointer TImageCombinerFilter< Image >::do_filter | ( | const Image & | image | ) | const

virtual

Implements TDataFilter< Image >.

Definition at line 72 of file combiner_filter.hh.

References load_image(), m_combiner, m_other_image, and m_reverse.

## Field Documentation

## m_combiner

template<typename Image>

std::shared_ptr<TImageCombiner<Image> > TImageCombinerFilter< Image >::m_combiner

Definition at line 41 of file combiner_filter.hh.

Referenced by do_filter(), and TImageCombinerFilter().

## m_other_image

template<typename Image>

std::string TImageCombinerFilter< Image >::m_other_image

Definition at line 42 of file combiner_filter.hh.

Referenced by do_filter(), and TImageCombinerFilter().

## m_reverse

template<typename Image>

bool TImageCombinerFilter< Image >::m_reverse

Definition at line 43 of file combiner_filter.hh.

Referenced by do_filter(), and TImageCombinerFilter().

The documentation for this class was generated from the following file:

- combiner_filter.hh